using Android.App;
using Android.Widget;
using Android.OS;

namespace Drżenie
{
    [Activity(Label = "Drżenie", MainLauncher = true)]
    public class MainActivity : Activity
    {
        SeekBar seekBar;
        Button button1, button2;
        Vibrator wibrator;

        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            // Set our view from the "main" layout resource
            SetContentView(Resource.Layout.Main);

            /*
            seekBar = FindViewById<SeekBar>(Resource.Id.seekBar);
            button1 = FindViewById<Button>(Resource.Id.button1);
            button2 = FindViewById<Button>(Resource.Id.button2);

            button1.Click += Button1_Click;
            button2.Click += Button2_Click;

            wibrator = (Vibrator)GetSystemService(VibratorService);
            */
        }

        /*
        private void Button1_Click(object sender, System.EventArgs e)
        {
            if (wibrator.HasVibrator)
            {
                long czas = seekBar.Progress;
                wibrator.Vibrate(czas);
            }
        }

        private void Button2_Click(object sender, System.EventArgs e)
        {
            if (wibrator.HasVibrator)
            {
                wibrator.Cancel();
            }
        }
        */
    }
}

